Create a new assignment
curl --request POST \
--url https://api.avidoai.com/v0/quickstarts/{id}/assignments \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"stage": "KB_REVIEW",
"assignedTo": "user_789012",
"topicId": "789e4567-e89b-12d3-a456-426614174000"
}
'import requests
url = "https://api.avidoai.com/v0/quickstarts/{id}/assignments"
payload = {
"stage": "KB_REVIEW",
"assignedTo": "user_789012",
"topicId": "789e4567-e89b-12d3-a456-426614174000"
}
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-application-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
stage: 'KB_REVIEW',
assignedTo: 'user_789012',
topicId: '789e4567-e89b-12d3-a456-426614174000'
})
};
fetch('https://api.avidoai.com/v0/quickstarts/{id}/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"quickstartId": "234e4567-e89b-12d3-a456-426614174000",
"stage": "KB_REVIEW",
"assignedTo": "user_789012",
"topicId": "789e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"assignedUser": {
"id": "user_789012",
"name": "John Doe",
"email": "john@example.com",
"image": "https://example.com/avatar.jpg"
}
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Assignments
Create a new assignment
Creates a new assignment linking a user to a topic.
POST
/
v0
/
quickstarts
/
{id}
/
assignments
Create a new assignment
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Path Parameters
The quickstart ID
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"234e4567-e89b-12d3-a456-426614174000"
Body
application/json
Request body for creating a new assignment
The review stage this assignment belongs to
Available options:
KB_REVIEW, TASKS_TOPICS_REVIEW, POLICIES_REVIEW Example:
"KB_REVIEW"
User ID to assign to
Required string length:
1 - 255Example:
"user_789012"
Topic ID to assign
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"789e4567-e89b-12d3-a456-426614174000"
Response
Successfully created assignment
Successful response containing the assignment data
An assignment linking a user to a topic for a review stage
Show child attributes
Show child attributes
⌘I